package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[消息模板内容类型]
 */
@Component("ionicdemo_MsgContentTypeCodeList")
public class MsgContentTypeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_MsgContentType");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("TEXT");
		item0.setId("TEXT");
		item0.setText("纯文本");
		item0.setLabel("纯文本");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("TEXT",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("HTML");
		item1.setId("HTML");
		item1.setText("HTML网页");
		item1.setLabel("HTML网页");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("HTML",item1);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}